def convert(value, row):
    '''truncate the cchgdetx to 128 characters unless we are dealing with ky region'''
    return key_as_str(row['cchgdetx'])[:128] if key_as_str(row['rapstatex']) != 'ky' else key_as_str(row['cchgdetx'])  
        
    
    